Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1695519 - Failed to create host-to-guest association in server webui for kubevirt
Summary: Failed to create host-to-guest association in server webui for kubevirt
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: alpha
: ---
Assignee: candlepin-bugs
QA Contact: Eko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 09:29 UTC by yuefliu
Modified: 2019-04-15 18:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin virt-who pull 201 None None None 2019-04-05 13:02:19 UTC

Comment 4 William Poteat 2019-04-04 18:57:48 UTC
The guest id must be the system uuid of the guest. You have 'cnv/rhel74-vm' which is the 'network.hostname'.

Please confirm.

Comment 5 Piotr Kliczewski 2019-04-05 09:12:23 UTC
Yeah, it is wrong we need to use spec.domain.firmware.uuid.

Comment 6 Piotr Kliczewski 2019-04-08 08:14:19 UTC
Provided fix uses firmware uuid which is the only vm related uuid exposed by kubevirt api. If Foreman expects different value we have a gap which won't be fixed any time soon.


Note You need to log in before you can comment on or make changes to this bug.